- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | List of all members
pdftron::PDF::RefreshOptions Class Reference

`#include <RefreshOptions.h>`

## Public Member Functions
| RefreshOptions ()
| ~RefreshOptions ()
bool | GetDrawBackgroundOnly ()
RefreshOptions & | SetDrawBackgroundOnly (bool value)
bool | GetRefreshExisting ()
RefreshOptions & | SetRefreshExisting (bool value)
bool | GetUseNonStandardRotation ()
RefreshOptions & | SetUseNonStandardRotation (bool value)
bool | GetUseRoundedCorners ()
RefreshOptions & | SetUseRoundedCorners (bool value)

## Detailed Description

Definition at line 8 of file RefreshOptions.h.

## Constructor & Destructor Documentation

pdftron::PDF::RefreshOptions::RefreshOptions | ( |  | ) |

pdftron::PDF::RefreshOptions::~RefreshOptions | ( |  | ) |

## Member Function Documentation

bool pdftron::PDF::RefreshOptions::GetDrawBackgroundOnly | ( |  | ) |

Gets the value DrawBackgroundOnly from the options object If true draw only the background and border, which can be useful when generating the rest of the annotation content elsewhere. Off by default.

Returns
  the current value for DrawBackgroundOnly.

bool pdftron::PDF::RefreshOptions::GetRefreshExisting | ( |  | ) |

Gets the value RefreshExisting from the options object Whether we should refresh annotations with existing appearances. Defaults to false when used in PDFDoc.RefreshAnnotAppearances and true when used in Annot.RefreshAppearance.

Returns
  the current value for RefreshExisting.

bool pdftron::PDF::RefreshOptions::GetUseNonStandardRotation | ( |  | ) |

Gets the value UseNonStandardRotation from the options object Whether we should use rotation in the annotation even if it is not a multiple of 90. Off by default.

Returns
  the current value for UseNonStandardRotation.

bool pdftron::PDF::RefreshOptions::GetUseRoundedCorners | ( |  | ) |

Gets the value UseRoundedCorners from the options object Whether we should use the corner radii specified in Annot.BorderStyle. Off by default.

Returns
  the current value for UseRoundedCorners.

RefreshOptions& pdftron::PDF::RefreshOptions::SetDrawBackgroundOnly | ( | bool | value | ) |

Sets the value for DrawBackgroundOnly in the options object If true draw only the background and border, which can be useful when generating the rest of the annotation content elsewhere. Off by default.

Parameters

  value | the new value for DrawBackgroundOnly

Returns
  this object, for call chaining

RefreshOptions& pdftron::PDF::RefreshOptions::SetRefreshExisting | ( | bool | value | ) |

Sets the value for RefreshExisting in the options object Whether we should refresh annotations with existing appearances. Defaults to false when used in PDFDoc.RefreshAnnotAppearances and true when used in Annot.RefreshAppearance.

Parameters

  value | the new value for RefreshExisting

Returns
  this object, for call chaining

RefreshOptions& pdftron::PDF::RefreshOptions::SetUseNonStandardRotation | ( | bool | value | ) |

Sets the value for UseNonStandardRotation in the options object Whether we should use rotation in the annotation even if it is not a multiple of 90. Off by default.

Parameters

  value | the new value for UseNonStandardRotation.

Returns
  this object, for call chaining

RefreshOptions& pdftron::PDF::RefreshOptions::SetUseRoundedCorners | ( | bool | value | ) |

Sets the value for UseRoundedCorners in the options object Whether we should use the corner radii specified in Annot.BorderStyle. Off by default.

Parameters

  value | the new value for UseRoundedCorners.

Returns
  this object, for call chaining

The documentation for this class was generated from the following file:

- PDF/RefreshOptions.h